package gggt.eg.set;

/**
* This class corresponds to the algorithm tag
* into the setting file.
*/
public class Algorithm extends StringTo {

	private String[] buildingTypes = {"set","write","insert","push"};	// type of building algorithm
	private int building; 												// selected building algorithm
	private double fuse;												// used to stop the building

	/** Default constructor. */
	Algorithm() {
		building = 0;
		fuse = 1.0;
		}

	/** To get the build attribute. */
	public String getBuild()
		{return new String(buildingTypes[building]);}
	void setBuild(String v) {
		if(v != null)
			for(int i=0;i<buildingTypes.length;i++)
				if(v.toLowerCase().equals(buildingTypes[i]))
					building = i;
		}

	/** To get the fuse attribute. */
	public double getFuse()
		{return fuse;}
	void setFuse(String v) {
		if(v != null) {
			d = getDouble(v);
			if(d>0) fuse = d;
			}
		}
	private double d;

	/** Print method. */
	public void print() {
		System.out.println	(
							"<algorithm"
							+" build=\""+buildingTypes[building]+"\""
							+" fuse=\""+fuse+"\""
							+"/>\n"
							);
		}

	}

