package gggt.eg.set;

/**
* This class corresponds to an attribute of labels
* into the setting file.
*/
class Labels {

	private String[] labels;	// the labels

	/** Default constructor. */
	Labels()
		{clear();}

	/** To clear the labels. */
	private void clear() {
		labels= new String[1];
		labels[0] = "none";
		}

	/** Default constructor. */
	Labels(String v)
		{this(); set(v);}

	/** To set the labels from a given string. */
	void set(String v) {
		if(v != null) {
			String[] tab = v.split(";");
			if(check(tab))
				labels = tab;
			}
		}

	/** To check a string array. */
	private boolean check(String[] array) {
		if(array != null) {
			for(int i=0;i<array.length;i++)
				if(array[i] == null)
					return false;
			return true;
			}
		return false;
		}

	/** Return the number of label. */
	int size() {
		if(labels.length==1)
			if(labels[0].equals("none"))
				return 0;
		return labels.length;
		}

	/** To test if labels contains the parametter string. */
	boolean contains(String v) {
		if(v!=null)
			for(int i=0;i<labels.length;i++)
				if(v.toLowerCase().equals(labels[i]))
					return true;
		return false;
		}

	/** To get a string representation. */
	public String toString() {
		StringBuffer sf = new StringBuffer();
		for(int i=0;i<labels.length;i++) {
			if(i!=labels.length-1)
				sf.append(labels[i]+";");
			else
				sf.append(labels[i]);
			}
		return sf.toString();
		}

	}