package gggt.eg.set;

/**
* This class corresponds to the noise tag
* into the setting file.
*/
public class Noise extends StringTo {

	private boolean apply, resize, rotation, move, thickness;	// type of noise to apply
	private double variance;									// variance setting

	/** Default constructor. */
	Noise() {
		apply = false;
		resize = rotation = move = thickness = false;
		variance = 0.001;
		}

	/** To get the apply attribute. */
	public boolean getApply()
		{return apply;}
	void setApply(boolean apply)
		{this.apply = apply;}

	/** To get the scale attribute. */
	public boolean getResize()
		{return resize;}
	void setResize(String resize)
		{this.resize = getBoolean(resize);}

	/** To get the rotation attribute. */
	public boolean getRotation()
		{return rotation;}
	void setRotation(String rotation)
		{this.rotation = getBoolean(rotation);}

	/** To get the move attribute. */
	public boolean getMove()
		{return move;}
	void setMove(String move)
		{this.move = getBoolean(move);}

	/** To get the thickness attribute. */
	public boolean getThickness()
		{return thickness;}
	void setThickness(String thickness)
		{this.thickness = getBoolean(thickness);}

	/** To get the var attribute. */
	public double getVariance()
		{return variance;}
	void setVariance(String variance)
		{this.variance = getDouble(variance);}

	/** Print method. */
	public void print() {
		System.out.println	(
							"<noise"
							+" apply=\""+apply+"\""
							+" scale=\""+resize+"\""
							+" rotation=\""+rotation+"\""
							+" move=\""+move+"\""
							+" thickness=\""+thickness+"\""
							+" variance=\""+variance+"\""
							+"/>\n"
							);
		}

	}

